Home

# Class goog.testing.MockClassRecord

A record that represents all the data associated with a mock replacement of a given class.

Instance Method Summary
| `addMockInstance(?Array args, (goog.testing.LooseMock|goog.testing.StrictMock|null) mock)` Adds a new mock instance mapping. The mapping connects a set of function arguments to a specific mock instance.
| `findMockInstance(?Array args) ⇒ (goog.testing.LooseMock|goog.testing.StrictMock|null)` Finds the mock corresponding to a given argument set. Throws an error if there is no appropriate match found.
| `getClassName() ⇒ string` A getter for this record's class name.
| `getNamespace() ⇒ ?Object` A getter for this record's namespace.
| `getOriginalClass() ⇒ ?Function` A getter for the original class.
| `getProxy() ⇒ ?Function` A getter for the proxy being used as a replacement for the original class.
| `getStaticMock() ⇒ (goog.testing.LooseMock|goog.testing.StrictMock|null)` A getter for the static mock.
| `reset()` Resets this record by reverting all the mocked classes back to the original implementation and clearing out the mock instance list.
| `setStaticMock((goog.testing.LooseMock|goog.testing.StrictMock|null) staticMock)` A setter for the static mock.